Update an applicant's information
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Very similar to the "Create an applicant" method.
Consent parameters on updateThe consent parameter enforcement starting November 17, 2026 applies to Create an Applicant only. Omitted consent fields on an update leave the existing value unchanged. Send
consent_sms_transactional,consent_sms_marketing,consent_calls_transactional, orconsent_calls_marketingonly when you are recording a new consent decision.
However, name, email, and phone_number are not required. If they are passed, the applicant will be validated with the new values.
Passing whats_app as a value to the phone_platform argument will only update applicants that belong to accounts that have Whats App enabled.
Existing attributes are overwritten (except auto-generated attributes such as created_at), and new attributes are added.
If an existing attribute is set to null or "", it will be removed.
Updating data keys of type address
data keys of type addressWhen attempting to update complex objects such as address type values, the "Body Params" builder and "Try It!" will not build the request correctly. Please use
curlor Postman to build the request manually.
When updating a value that has a data_key of type address you will want to submit the data in the following format. In this example, address_key is a data_key of type address:
{
'data': {
'address_key': {
'country_code': 'United States',
'city': 'Billings',
'address_2': 'suite 301',
'state_code': 'MT',
'postal_code': '59101',
'street_address': '327 Burlington',
'country_code_iso': 'US',
'state_code_iso': 'MT',
'state_code_name': 'Montana',
}
}
}
If the geocoder cannot resolve the submitted address, the endpoint returns 422 Unprocessable Entity with a message that names the address. The applicant is not updated.
Secure FieldsYou can also add secure fields by passing in a secure_data array along with the standard data array. These fields are encrypted in our system, so you should use them for personally identifiable and sensitive information like SSN, driver's license numbers, etc. Supported fields include:
- gender
- ethnicity
- citizenship
- can_work_in_us
- religious_preference
- income_salary
- income_income_tax_dollar_amount
- income_ss_tax
- income_medicare_tax
- income_taxpayer_identification_number
- driver_license_number
- driver_license_expiration_date
- driver_license_state
- ssn
- national_identification_number
- insurance_type
- insurance_benefactor_first_name
- insurance_benefactor_middle_name
- insurance_benefactor_last_name
- insurance_member_id
- insurance_company_group_id
- insurance_company_of_issue
- insurance_country_of_issue
- insurance_city_of_issue
- insurance_issue_date
- insurance_expiration_date
- bank_name
- bank_routing_number
- bank_account_number
- passport_number
- passport_country_of_issue
- passport_city_of_issue
- passport_issue_date
- passport_expiration_date
- vehicle_make
- vehicle_model
- vehicle_year
- vehicle_registration_plate_number
- vehicle_vin_number
- w4_federal_form
- w4_state_form
